Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface EncryptionMethod

    public interface EncryptionMethod

`EncryptionMethod` describes the encryption algorithm applied to the cipher data. If the element is absent, the encryption algorithm must be known by the recipient or the decryption will fail.

It is defined as follows:

     <complexType name='EncryptionMethodType' mixed='true'>
         <sequence>
             <element name='KeySize' minOccurs='0' type='xenc:KeySizeType'/>
             <element name='OAEPparams' minOccurs='0' type='base64Binary'/>
             <any namespace='##other' minOccurs='0' maxOccurs='unbounded'/>
         </sequence>
         <attribute name='Algorithm' type='anyURI' use='required'/>
     </complexType>

Author:
  Axl Mattheus

Method Summary
`void` | `addEncryptionMethodInformation(org.w3c.dom.Element information)` Adds encryption method information.
`java.lang.String` | `getAlgorithm()` Returns the algorithm applied to the cipher data.
`java.lang.String` | `getDigestAlgorithm()` Get the Digest Algorithm to use
`java.util.Iterator<org.w3c.dom.Element>` | `getEncryptionMethodInformation()` Returns an iterator over all the additional elements contained in the `EncryptionMethod`.
`int` | `getKeySize()` Returns the key size of the key of the algorithm applied to the cipher data.
`java.lang.String` | `getMGFAlgorithm()` Get the MGF Algorithm to use
`byte[]` | `getOAEPparams()` Returns the OAEP parameters of the algorithm applied applied to the cipher data.
`void` | `removeEncryptionMethodInformation(org.w3c.dom.Element information)` Removes encryption method information.
`void` | `setDigestAlgorithm(java.lang.String digestAlgorithm)` Set the Digest Algorithm to use
`void` | `setKeySize(int size)` Sets the size of the key of the algorithm applied to the cipher data.
`void` | `setMGFAlgorithm(java.lang.String mgfAlgorithm)` Set the MGF Algorithm to use
`void` | `setOAEPparams(byte[] parameters)` Sets the OAEP parameters.

Method Detail

### getAlgorithm

    java.lang.String getAlgorithm()

  Returns the algorithm applied to the cipher data.

  Returns:
    the encryption algorithm.

### getKeySize

    int getKeySize()

  Returns the key size of the key of the algorithm applied to the cipher data.

  Returns:
    the key size.

### setKeySize

    void setKeySize(int size)

  Sets the size of the key of the algorithm applied to the cipher data.

  Parameters:
    `size` - the key size.

### getOAEPparams

    byte[] getOAEPparams()

  Returns the OAEP parameters of the algorithm applied applied to the cipher data.

  Returns:
    the OAEP parameters.

### setOAEPparams

    void setOAEPparams(byte[] parameters)

  Sets the OAEP parameters.

  Parameters:
    `parameters` - the OAEP parameters.

### setDigestAlgorithm

    void setDigestAlgorithm(java.lang.String digestAlgorithm)

  Set the Digest Algorithm to use

  Parameters:
    `digestAlgorithm` - the Digest Algorithm to use

### getDigestAlgorithm

    java.lang.String getDigestAlgorithm()

  Get the Digest Algorithm to use

  Returns:
    the Digest Algorithm to use

### setMGFAlgorithm

    void setMGFAlgorithm(java.lang.String mgfAlgorithm)

  Set the MGF Algorithm to use

  Parameters:
    `mgfAlgorithm` - the MGF Algorithm to use

### getMGFAlgorithm

    java.lang.String getMGFAlgorithm()

  Get the MGF Algorithm to use

  Returns:
    the MGF Algorithm to use

### getEncryptionMethodInformation

    java.util.Iterator<org.w3c.dom.Element> getEncryptionMethodInformation()

  Returns an iterator over all the additional elements contained in the `EncryptionMethod`.

  Returns:
    an `Iterator` over all the additional information about the `EncryptionMethod`.

### addEncryptionMethodInformation

    void addEncryptionMethodInformation(org.w3c.dom.Element information)

  Adds encryption method information.

  Parameters:
    `information` - additional encryption method information.

### removeEncryptionMethodInformation

    void removeEncryptionMethodInformation(org.w3c.dom.Element information)

  Removes encryption method information.

  Parameters:
    `information` - the information to remove from the `EncryptionMethod`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD